<?xml version="1.0" encoding="UTF-8"?>

<!--
*
* JIMS ( http://forge.scilab.org/index.php/p/JIMS/ ) - This file is a part of JIMS
* Copyright (C) 2010 - 2011 - Calixte DENIZET <calixte@contrib.scilab.org>
*
* This file must be used under the terms of the CeCILL.
* This source file is licensed as described in the file COPYING, which
* you should have received as part of this distribution.  The terms
* are also available at
* http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
*
*
-->

<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="allowClassReloading">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>allowClassReloading</refname>
    <refpurpose>Allow the class reloading</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      allowClassReloading(bool)
      isAllowed = allowClassReloading()
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>bool</term>
        <listitem>
          <para>A boolean to allow or disallow</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>isAllowed</term>
        <listitem>
          <para>A boolean to indicate if the class relaoding is allowed or not</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      This macro is common for all environments, linked to Scilab.
    </para>
    <para>
      Allow or disallow the class reloading. When using with Java, the reloading is only available for the classes which are not distributed in the Java framework. The <literal>jimport</literal> and <literal>dnimport</literal> functions use this parameter.
    </para>
    <para>
      By default, it is set to false (since it is a development tool).
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">
      <![CDATA[
               allowClassReloading(%t);
               allowClassReloading()
      ]]></programlisting>
  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="jimport">jimport</link>
        <link linkend="dnimport">dnimport</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Author</title>
    <simplelist type="vert">
      <member>Calixte Denizet</member>
      <member>Igor Gridchyn</member>
    </simplelist>
  </refsection>
</refentry>
